SuperLU: superlu_options_t Struct Reference

SuperLU 5.3.0

Data Fields
superlu_options_t Struct Reference

`#include <slu_util.h>`

## Data Fields
fact_t | Fact
yes_no_t | Equil
colperm_t | ColPerm
trans_t | Trans
IterRefine_t | IterRefine
double | DiagPivotThresh
yes_no_t | SymmetricMode
yes_no_t | PivotGrowth
yes_no_t | ConditionNumber
rowperm_t | RowPerm
int | ILU_DropRule
double | ILU_DropTol
double | ILU_FillFactor
norm_t | ILU_Norm
double | ILU_FillTol
milu_t | ILU_MILU
double | ILU_MILU_Dim
yes_no_t | ParSymbFact
yes_no_t | ReplaceTinyPivot
yes_no_t | SolveInitialized
yes_no_t | RefineInitialized
yes_no_t | PrintStat
int | nnzL
int | nnzU
int | num_lookaheads
yes_no_t | lookahead_etree
yes_no_t | SymPattern

## Field Documentation

## ◆ ColPerm

colperm_t superlu_options_t::ColPerm

## ◆ ConditionNumber

yes_no_t superlu_options_t::ConditionNumber

## ◆ DiagPivotThresh

double superlu_options_t::DiagPivotThresh

## ◆ Equil

yes_no_t superlu_options_t::Equil

## ◆ Fact

fact_t superlu_options_t::Fact

## ◆ ILU_DropRule

int superlu_options_t::ILU_DropRule

## ◆ ILU_DropTol

double superlu_options_t::ILU_DropTol

## ◆ ILU_FillFactor

double superlu_options_t::ILU_FillFactor

## ◆ ILU_FillTol

double superlu_options_t::ILU_FillTol

## ◆ ILU_MILU

milu_t superlu_options_t::ILU_MILU

## ◆ ILU_MILU_Dim

double superlu_options_t::ILU_MILU_Dim

## ◆ ILU_Norm

norm_t superlu_options_t::ILU_Norm

## ◆ IterRefine

IterRefine_t superlu_options_t::IterRefine

## ◆ lookahead_etree

yes_no_t superlu_options_t::lookahead_etree

## ◆ nnzL

int superlu_options_t::nnzL

## ◆ nnzU

int superlu_options_t::nnzU

## ◆ num_lookaheads

int superlu_options_t::num_lookaheads

## ◆ ParSymbFact

yes_no_t superlu_options_t::ParSymbFact

## ◆ PivotGrowth

yes_no_t superlu_options_t::PivotGrowth

## ◆ PrintStat

yes_no_t superlu_options_t::PrintStat

## ◆ RefineInitialized

yes_no_t superlu_options_t::RefineInitialized

## ◆ ReplaceTinyPivot

yes_no_t superlu_options_t::ReplaceTinyPivot

## ◆ RowPerm

rowperm_t superlu_options_t::RowPerm

## ◆ SolveInitialized

yes_no_t superlu_options_t::SolveInitialized

## ◆ SymmetricMode

yes_no_t superlu_options_t::SymmetricMode

## ◆ SymPattern

yes_no_t superlu_options_t::SymPattern

## ◆ Trans

trans_t superlu_options_t::Trans

The documentation for this struct was generated from the following file:

- SRC/slu_util.h